<?php
/**
 * @package		Donations
 * @author		<a href='https://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2021 DevFuse
 */

namespace IPS\donate\setup\upg_100102;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * 3.4.0 Beta 2 Upgrade Code
 */
class _Upgrade
{
	/**
	 * Add custom lang
	 *
	 * @return	array	If returns TRUE, upgrader will proceed to next step. If it returns any other value, it will set this as the value of the 'extra' GET parameter and rerun this step (useful for loops)
	 */
	public function step1()
	{
        /* Our custom lang values */
        \IPS\Lang::saveCustom( 'donate', 'dt_donate_updates_value', "<p> <span style=\"font-size:16px;\"><strong>Why Donate?</strong></span> </p> <p> <p> Interdum et malesuada fames ac ante ipsum primis in faucibus. Sed dolor velit, aliquam a augue iaculis, malesuada rutrum odio. Donec ac rutrum nisl. Vestibulum rutrum diam a tortor laoreet, sit amet placerat magna viverra. Donec ultricies purus at porttitor dictum. Etiam elit velit, fermentum non ultrices non, mattis non lacus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur pretium, nulla ac aliquet imperdiet, lectus mauris malesuada quam, nec tristique urna arcu at tortor. Pellentesque tortor tortor, dapibus vitae gravida commodo, mollis quis augue. Nam pulvinar scelerisque ornare. Curabitur mattis urna eget accumsan scelerisque. Morbi rhoncus gravida imperdiet. Etiam volutpat, orci a porta consequat, ipsum sem imperdiet enim, at pretium tellus turpis sed turpis. Sed diam turpis, egestas vel erat fermentum, consectetur fringilla turpis. </p> </p> <p> Mauris quis neque a libero imperdiet porta eget nec nunc. In luctus nec neque ut placerat. Etiam blandit justo ante, sed auctor ex faucibus ut. Proin dui libero, lacinia at rhoncus quis, auctor eget urna. Etiam finibus accumsan quam ut mollis. Pellentesque leo justo, rutrum eget efficitur vel, vehicula vitae velit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nam dictum diam in bibendum lobortis. </p>" );

		return TRUE;
	}
}